DCMTK: DcmTLSECFailedToLoadCertificateConst Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmTLSECFailedToLoadCertificateConst Struct Reference

A struct for creating a failed to load certificate error condition. More...

Inheritance diagram for DcmTLSECFailedToLoadCertificateConst:

## Public Member Functions
| DcmTLSECFailedToLoadCertificateConst ()
| Constructor, initializes the OFConditionConst base.
OFCondition | operator() (const char *certificateFile) const
| Create a specialized failed to load certificate error condition that refers to the file name of the certificate that failed to load.
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Additional Inherited Members
Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating a failed to load certificate error condition.

## Constructor & Destructor Documentation

## ◆ DcmTLSECFailedToLoadCertificateConst()

DcmTLSECFailedToLoadCertificateConst::DcmTLSECFailedToLoadCertificateConst | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## ◆ operator()()

OFCondition DcmTLSECFailedToLoadCertificateConst::operator() | ( | const char * | certificateFile | ) | const

Create a specialized failed to load certificate error condition that refers to the file name of the certificate that failed to load.

Parameters

  certificateFile | the file name of the certificate file.

Returns
  an OFCondition that compares equal to DCMTLS_EC_FailedToLoadCertificate but also refers to the file name of the certificate in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1